import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_template_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_template_detail_entity.g.dart';

@JsonSerializable()
class UKTemplateDetailEntity {
  UKTemplateDetailRow? row;
  @JSONField(name: "certificate_list")
  List<IndexOptionEntity>? certificateList = [];
  @JSONField(name: "vehicle_list")
  List<IndexOptionEntity>? vehicleList = [];

  UKTemplateDetailEntity();

  factory UKTemplateDetailEntity.fromJson(Map<String, dynamic> json) => $UKTemplateDetailEntityFromJson(json);

  Map<String, dynamic> toJson() => $UKTemplateDetailEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UKTemplateDetailRow {
  String? id;
  @JSONField(name: "company_id")
  String? companyId;
  @JSONField(name: "job_title")
  String? jobTitle;
  @JSONField(name: "contact_name")
  String? contactName;
  @JSONField(name: "contact_no")
  String? contactNo;
  String? vehicle;
  String? certificate;
  String? age;
  String? language;
  int gender = 0;
  String? description;
  String? note;
  @JSONField(name: "operator_id")
  String? operatorId;
  @JSONField(name: "created_at")
  String? createdAt;
  @JSONField(name: "updated_at")
  String? updatedAt;
  @JSONField(name: "deleted_at")
  String? deletedAt;

  UKTemplateDetailRow();

  factory UKTemplateDetailRow.fromJson(Map<String, dynamic> json) => $UKTemplateDetailRowFromJson(json);

  Map<String, dynamic> toJson() => $UKTemplateDetailRowToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
